Subject: Re: bug#43882: 27.1; Gnus sometimes crashes emacs 27.1 during nnir search

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Oct 2020 17:35:40 +0300

> From: Mikael Svahnberg <[email-masked]>
> Date: Fri, 09 Oct 2020 12:14:18 +0200
> 
> 
> I upgraded to emacs 27.1 yesterday and so far it has crashed twice on me
> when I search for emails in Gnus. I use the following function to
> perform the search (there are probably better ways, but this has worked
> for me the past eight years):
> 
> --------------------
>       ;; Search mail from everywhere
>       (defun msv-search-mail ()
>         (interactive)
>         (with-current-buffer "*Group*"
>           (save-excursion
>             (beginning-of-buffer)
>             (search-forward "All Mail")
>             (call-interactively (gnus-group-make-nnir-group nil)))))
> 
>       ;; <2017-08-15 Tue>
>       ;; Try a better search input
>       (use-package gnus-x-gm-raw :ensure t)
> --------------------
> 
> What happens is that emacs freezes and (I happened to have =top=
> running in a terminal nearby) consumes 100% CPU for 5-10 seconds, before
> crashing.

Looks like stack overflow during GC?  What is the maximum size of the
stack of the running Emacs process?  Can you try enlarging it?